Subject: Re: .pinerc file "Updated by Pine(tm) 3.87" -- omissions

From: David L Miller <[email-masked]>
Date: Mon, 1 Nov 1993 10:26:14 -0800 (PST)

Pine does not really "understand" the comments in the .pinerc.  When
updating an old .pinerc, the old comments are preserved as much as
possible to preserve any comments the user has inserted or modified. 
We plan to make Pine smarter about comments at some point in the
future... 

|\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
|/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
University of Washington, Networks & Distributed Computing
4545 15th Ave NE, Seattle WA 98105, USA

On Fri, 29 Oct 1993, Mike Ramey wrote:

> My old (3.05?) .pinerc file was "Updated by Pine(tm) 3.87" when the new 
> version was installed.  I recently discovered that some of the 
> information contained in a 'brand-new' pine 3.87 .pinerc file did not 
> make it into my old 'updated' file.  Specifically, the last 4 lines of 
> the introductory paragraph (beginning with "For a variable to be unset 
> it's value must be blank. ...") are missing from my 'updated' file.
> 
> Also the section headers do not appear; such as:
>    ####...#### Essential Parameters ####...####
> This may be difficult because I had rearranged the order of entries in my 
> .pinerc file, so that all changed entries would be at the top of the file.
> 
> Also the description of parameters WAS -NOT- UPDATED!  My old 'updated' 
> file still contained:
>    # Sub directory in users home directory where mail folders/files are kept
>    # mail-directory=
>    mail-directory=Mail
> (which I had changed so that all my directories begin with Capital 
> Letters -- to segregate them from ordinary files).
> 
> In a 'brand-new' 3.87 .pinerc file, the definition of this parameter is:
>    # mail-directory is where postponed & interrupted msgs are held temp'y
> 
> QUESTION:  Under pine 3.87, if I want the directory 'mail' to be fully 
> replaced by the directory 'Mail', are these the only changes required ?
>    folder-collections=Mail/[]
>    mail-directory=Mail
> 
Unless you have some other setting, like read-message-folder, 
pointing to mail.

> REQUEST:  Is it possible in future, to do a more thorough job of updating 
> the .pinerc file?  It would be helpful to alert users to changes in 
> .pinerc which might affect them -- especially if .pinerc contains user 
> changes.
> 
> Thanks, -mr
>